<template lang="pug">
  DefaultLayout
    profile-header(:username="currentUser")
    nuxt
</template>

<script>
import { mapState } from 'vuex'

import DefaultLayout from '~/layouts/default.vue'
import CenteredMenu from '~/components/sublayouts/CenteredMenu.vue'
import ProfileHeader from '~/components/ProfileHeader.vue'

export default {
  components: {
    DefaultLayout,
    CenteredMenu,
    ProfileHeader
  },
  computed: {
    ...mapState('users', ['currentUser'])
  }
}
</script>
